This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769919 - (hydra) Review Request: hydra - Very fast network log-on cracker
Review Request: hydra - Very fast network log-on cracker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Ambroz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2011-12-22 13:28 EST by Athmane Madjoudj
Modified: 2013-09-18 08:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rebus: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
hydra-7.2-destdir.patch (2.95 KB, patch)
2012-04-16 20:11 EDT, Michal Ambroz
no flags Details | Diff

  None (edit)
Description Athmane Madjoudj 2011-12-22 13:28:02 EST
Spec URL: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/hydra-7.1-1.fc16.src.rpm

Description:
Hydra is a parallelized log-in cracker which supports numerous protocols to 
attack. New modules are easy to add, beside that, it is flexible and very fast.

This tool gives researchers and security consultants the possibility to show 
how easy it would be to gain unauthorized access from remote to a system.

Currently this tool supports: TELNET, FTP, HTTP, HTTPS, HTTP-PROXY, LDAP, SMB,
SMBNT, MS-SQL, MySQL, REXEC, SOCKS5, VNC, POP3, IMAP, NNTP, PCNFS, ICQ, 
Cisco auth, Cisco enable, Cisco AAA (incorporated in telnet module). 

Notes:
This is my first package and I need a sponsor.
Comment 1 Athmane Madjoudj 2011-12-22 13:30:35 EST
rpmlint output:

$ rpmlint hydra-7.1-1.fc16.src.rpm
hydra.src: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
hydra.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint hydra-7.1-1.fc16.x86_64.rpm
hydra.x86_64: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
hydra.x86_64: W: spelling-error %description -l en_US auth -> auto, Ruth, author
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint hydra-frontend-7.1-1.fc16.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint hydra.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Athmane Madjoudj 2011-12-22 14:07:53 EST
Updated license to 'GPLv3 with exceptions' since it seems to be GPLv3 with OpenSSL exception

Spec URL: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/hydra-7.1-2.fc16.src.rpm

rpmlint output:

$ rpmtlint hydra-7.1-2.fc16.src.rpm
hydra.src: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
hydra.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmtlint hydra-7.1-2.fc16.x86_64.rpm
hydra.x86_64: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
hydra.x86_64: W: spelling-error %description -l en_US auth -> auto, Ruth, author
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmtlint hydra-frontend-7.1-2.fc16.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmtlint hydra.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Athmane Madjoudj 2011-12-22 15:16:46 EST
Koji scratch build (x86_64 and i686): http://koji.fedoraproject.org/koji/taskinfo?taskID=3601861
Comment 4 Athmane Madjoudj 2011-12-27 13:41:57 EST
Removed rm -rf %{buildroot} from %install

Spec URL: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/hydra-7.1-3.fc16.src.rpm
Comment 6 Volker Fröhlich 2012-02-11 17:42:38 EST
Just a couple of comments:

As MySQL > 4 seemingly doesn't work, consider to remove "MySQL" from the description.

Do you leave out support for Firebird for a reason?

Looking at the build, the optflags aren't actually used.

Please remove "The hydra package must be installed before installing the hydra front end.", as dependency resolution takes care of that.
Comment 7 Athmane Madjoudj 2012-02-11 18:18:09 EST
Thanks for your comments,

(In reply to comment #6)
> Just a couple of comments:
> 
> As MySQL > 4 seemingly doesn't work, consider to remove "MySQL" from the
> description.
> 

Fixed, removed the protocols list since it's in constant change.

> Do you leave out support for Firebird for a reason?

Fixed, added support for Firebird

> 
> Looking at the build, the optflags aren't actually used.
> 

Yes they are not used, I can ask upstream to use CFLAGS if it's necessary.

> Please remove "The hydra package must be installed before installing the hydra
> front end.", as dependency resolution takes care of that.

Fixed

New URLs:

Spec URL: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/hydra-7.2-2.fc16.src.rpm
Comment 8 Volker Fröhlich 2012-02-11 18:42:47 EST
Please use the compiler flags from the rpm configuration. Asking upstream to include it wouldn't hurt though, I guess.

http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 9 Athmane Madjoudj 2012-02-11 19:22:09 EST
(In reply to comment #8)
> Please use the compiler flags from the rpm configuration. Asking upstream to
> include it wouldn't hurt though, I guess.
> 
> http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

I've added a workaround to force CFLAGS:

Spec URL: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/hydra-7.2-3.fc16.src.rpm
Comment 10 Athmane Madjoudj 2012-02-11 19:29:00 EST
Koji scratch build (to check CFLAGS and Firebird support):

http://koji.fedoraproject.org/koji/taskinfo?taskID=3783454
Comment 11 Volker Fröhlich 2012-03-08 13:56:12 EST
Hm, I don't feel very happy about having to install PostgreSQL and Firebird libraries, just to be able to use this program for SVN, for instance.

There is at least some GPLv3+ code. Have you dug through the code? It is quite a mixture, but I assume GPLv3+ as the overall license could be fine.

Please preserve the timestamps for the manpages and the icon (-p).

What is the group "X-Red-Hat-Base" for?

There are several format warnings when you compile the code. Try to fix them and submit it to upstream.

On my F16 64 bit system a build with rpmbuild fails for some reason, while it works with Mock.
Comment 12 Athmane Madjoudj 2012-03-08 14:48:04 EST
(In reply to comment #11)
> Hm, I don't feel very happy about having to install PostgreSQL and Firebird
> libraries, just to be able to use this program for SVN, for instance.
> 

It's a multi-protocols brute-forcer, there's a similar package in fedora 'medusa', packaged in the same way even if it has a modular architecture (.so for each service, but the package depends on libssh2, postgresql libs etc...), hydra is on binary :/.


> There is at least some GPLv3+ code. Have you dug through the code? It is quite
> a mixture, but I assume GPLv3+ as the overall license could be fine.
> 

It seems to be 'GPLv3 with exceptions' (because of OpenSSL), I checked with Gentoo (GPL-3) and Debian (GPL-3.0+ with OpenSSL exception)

> Please preserve the timestamps for the manpages and the icon (-p).
> 

Fixed in -4

> What is the group "X-Red-Hat-Base" for?
> 

Removed in -4, 

> There are several format warnings when you compile the code. Try to fix them
> and submit it to upstream.
> 

I noticed them when I enabled CFLAGS, I'm using this build at work and it seems very stable (heavily tested with SSH and FTP), but I'll try to help upstream to fix them (along with mysql and CFLAGS support)

> On my F16 64 bit system a build with rpmbuild fails for some reason, while it
> works with Mock.

Maybe you have mysql-devel, can attach the errors


SPEC: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM: http://athmane.fedorapeople.org/pkgs/hydra-7.2-4.fc16.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3870495
Comment 13 Volker Fröhlich 2012-03-11 18:51:00 EDT
Yes, it fails, if mysql-devel is installed. Can you solve that?
Comment 14 Athmane Madjoudj 2012-03-13 04:35:28 EDT
(In reply to comment #13)
> Yes, it fails, if mysql-devel is installed. Can you solve that?

That error appears because 'hash_password' and 'scramble' are defined in the headers but not exposed by libmysql.

I have a workaround for that issue, just testing it.
Comment 15 Athmane Madjoudj 2012-03-13 09:24:57 EDT
- Fixed compilation warnings (important one).
- Added mysql support (I need to investigate more on this because it does not seem to find a valid user/pass against mysql server 5.5.x)

SPEC: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM: http://athmane.fedorapeople.org/pkgs/hydra-7.2-5.fc16.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3888842
Comment 16 Athmane Madjoudj 2012-03-13 09:46:46 EDT
(In reply to comment #15)
> (I need to investigate more on this because it does not
> seem to find a valid user/pass against mysql server 5.5.x)

Nevermind, I had the same issue with a package from other distro (it's an issue with hydra-mysql itself).
Comment 17 Athmane Madjoudj 2012-03-13 13:11:57 EDT
Upstream responded that he'll include the patchs/fixes.
Comment 18 Athmane Madjoudj 2012-04-16 19:19:33 EDT
I've reversed a patch because it breaks brute-forcing NTLM-enabled services (upstream confirmed that it's not necessary)

SPEC: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM: http://athmane.fedorapeople.org/pkgs/hydra-7.2-6.fc16.src.rpm 
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3996524
Comment 19 Michal Ambroz 2012-04-16 20:11:40 EDT
Created attachment 577860 [details]
hydra-7.2-destdir.patch

Tested now on Fedora 17 and it works (tested ssh and mysql) - thanks.

Please would you consider adding the dpl2hydra files to the package? It can be usefull.
%{_bindir}/dpl4hydra.sh
%{_datadir}/%{name}/dpl4hydra*.csv


Attached is a patch which I use for the DESTDIR install and putting the csv database to /usr/share/hydra directory.


Best regards
Michal Ambroz
Comment 20 Michal Ambroz 2012-04-16 20:28:43 EDT
(In reply to comment #15)
> - Added mysql support (I need to investigate more on this because it does not
> seem to find a valid user/pass against mysql server 5.5.x)
BTW I was testing against mysql server 5.5.22 from Fedora 17 and seemd to worked fine for me with small dictionary containing the right password in dozen of other words. 

Problem is that it reports false positives also on some other words if you use bigger dictionary.
Comment 21 Athmane Madjoudj 2012-04-16 21:40:51 EDT
Thanks Michal,

I've included dpl4hydra and added the patch for DESTDIR.

SPEC: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM: http://athmane.fedorapeople.org/pkgs/hydra-7.2-7.fc16.src.rpm 
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3996813
Comment 22 Michal Ambroz 2012-04-30 04:08:39 EDT
Thank you ... dpl4hydra works fine for me now.
Comment 23 Michal Ambroz 2012-05-17 20:46:24 EDT
Hello,
unfortunately I am not sponsor so I can provide only with the informal non-authoritative review.

Package Review
==============
Generated by fedora-review 0.1.3 + manual review

Key:
- = N/A
x = Pass (by automated check)
X = Pass (manual check)
! = Fail
? = Not evaluated / Needs attention



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[X]: MUST Package does not contain kernel modules.
[X]: MUST Package contains no static executables.
[X]: MUST Rpath absent or only used for internal libs.
[X]: MUST Package is not relocatable.


==== Generic ====
[X?]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- package released under GPLv3+ with exemption allowing linking with openssl
	- contains GPLv2+ code and publi domain code
        - exceptions were sufficient for the license to be accepted to Debian
        - I would recommend to cross check with Tom 'spot' Callaway


[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
    - koji build is referenced in the review request
    - I have successfully re-build package for Fedora 17
  
[X]: MUST %build honors applicable compiler flags or justifies otherwise.
    - Makefile.am is patched to include CFLAGS in OPTS, OPTS are used in Makefile then

[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
     - package doesn't contain bundled libraries, but it contains header files from PostgreSQL
     - I would recommend to patch to use the header files from the installed postgresql-devel package
     - similar patch is contained in debian http://packages.debian.org/source/testing/hydra

[X]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[X]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[X]: MUST Macros in Summary, %description expandable at SRPM build time.
[X]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[X]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
     - file LICENSE.OPENSSL is missing in the doc

[X]: MUST License field in the package spec file matches the actual license.
[X]: MUST License file installed when any subpackage combination is installed.
[X]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.
     - directory /usr/share/hydra should be owned with the %dir directive

[X]: MUST Package does not own files or directories owned by other packages.
[X]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[X?]: MUST Rpmlint output is silent.
     - please notify the upstream about the incorrect fsf addreass 
     - other than that i believe it is good

rpmlint hydra-debuginfo-7.2-7.fc17.x86_64.rpm

hydra-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/hydra-7.2-src/hmacmd5.h
hydra-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/hydra-7.2-src/hmacmd5.c
1 packages and 0 specfiles checked; 2 errors, 0 warnings.


rpmlint hydra-frontend-7.2-7.fc17.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint hydra-7.2-7.fc17.src.rpm

hydra.src: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint hydra-7.2-7.fc17.x86_64.rpm

hydra.x86_64: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
hydra.x86_64: W: no-manual-page-for-binary dpl4hydra.sh
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mambroz/tmp/hydra/769919/hydra-7.2-src.tar.gz :
  MD5SUM this package     : 7a72f2d4dd8a771a4935072f80e336dd
  MD5SUM upstream package : 7a72f2d4dd8a771a4935072f80e336dd

[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[X]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[X]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[X]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[X]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[X?]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1: xhydra.desktop (xhydra.desktop) Patch1: hydra-fix-mysql-
     support.patch (hydra-fix-mysql-support.patch ) Patch2: hydra-fix-format-
     extra-args.patch (hydra-fix-format-extra-args.patch ) Patch3:
     hydra-7.2-destdir.patch (hydra-7.2-destdir.patch)
     - xhydra.desktop was flagged by automated check, but I believe the name is acceptable
     - I believe that hydra.desktop for the commandline util will be provided by security-menus

[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[X?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
	- install in the spec file respects timestamps
	- install in the Makefile does not - I would recommend to patch it and report 
          to upstream

[x]: SHOULD Spec use %global instead of %define.

Summary:
- Generally I would say the package is good and ready to be accepted. 
  There are only minor easy-to fix glitches
- Please fix these issues:
     - use postgres header files from the installed postgresql-devel package
     - add dir of /usr/share/hydra
     - include LICENSE.OPENSSL as doc
     - please inform the upstream about the wrong address of FSF in hmacmd5 files
Comment 24 Athmane Madjoudj 2012-05-18 19:13:12 EDT
(In reply to comment #23)
<snip>
> 
> Summary:
> - Generally I would say the package is good and ready to be accepted. 
>   There are only minor easy-to fix glitches
> - Please fix these issues:
>      - use postgres header files from the installed postgresql-devel package
>      - add dir of /usr/share/hydra
>      - include LICENSE.OPENSSL as doc
>      - please inform the upstream about the wrong address of FSF in hmacmd5
> files

Fixed those issues, also synced with upstream (informed him about wrong FSF address, submitted postgres patch and suggested to remove the bundled postgres headers)

SPEC: http://athmane.fedorapeople.org/pkgs/hydra.spec
SRPM: http://athmane.fedorapeople.org/pkgs/hydra-7.2-8.fc16.src.rpm 
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4087791
Comment 25 Athmane Madjoudj 2012-05-18 20:39:45 EDT
According licensing matrices [1]:

- Public Domain (not a license) is compatible with GPLv2+ and GPLv3+
- GPLv2+ is compatible GPLv3+


[1] http://fedoraproject.org/wiki/Licensing
Comment 26 Athmane Madjoudj 2012-05-18 20:40:42 EDT
CCing Tom 'spot' Callaway
Comment 27 Michal Ambroz 2012-05-20 08:33:59 EDT
Thank you Athmane.
By me everything is OK. Good luck with searching for sponsor.
Best regards
Michal Ambroz
Comment 29 Michal Ambroz 2012-05-23 10:27:47 EDT
Hello Athmane,
please leave the release number (9) as it is now, but for next upstream versions the release should always reset to 1.

http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag

Thank you
Michal Ambroz
Comment 30 Athmane Madjoudj 2012-05-23 15:54:38 EDT
(In reply to comment #29)
> Hello Athmane,
> please leave the release number (9) as it is now, but for next upstream
> versions the release should always reset to 1.
> 
> http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag
> 

I didn't reset release number to 1 because 7.3 is a bugfix release (ie. no major changes), I'll do it next time, thanks.
Comment 31 Michal Ambroz 2012-05-24 07:11:39 EDT
Hi Athmane, 
I have not found any other issues other then those, which have already been fixed or reported to upstream. From my point of view the package is OK.

Good luck with searching for sponsor.

Michal Ambroz
Comment 32 Kevin Fenzi 2012-05-25 18:21:49 EDT
I've sponsored Athmane, removing FE_NEEDSPONSOR.
Comment 33 Michal Ambroz 2012-05-26 05:33:25 EDT
Kevin thank you for information. 
If Athmane is already sponsored, I can take the review of the package.
Comment 34 Michal Ambroz 2012-05-26 05:48:58 EDT
ACCEPT
In my opinion the package is ready to be accepted for Fedora. 
Athmane please when you will be raising SCM admin request, put my id "rebus" to the InitialCC field.

http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 35 Athmane Madjoudj 2012-05-26 18:28:55 EDT
New Package SCM Request
=======================
Package Name: hydra
Short Description: Very fast network log-on cracker
Owners: athmane
Branches: f16 f17
InitialCC: rebus
Comment 36 Kevin Fenzi 2012-05-26 21:46:29 EDT
Git done (by process-git-requests).
Comment 37 Fedora Update System 2012-05-27 02:02:00 EDT
hydra-7.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hydra-7.3-9.fc17
Comment 38 Fedora Update System 2012-05-27 02:21:52 EDT
hydra-7.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hydra-7.3-9.fc16
Comment 39 Fedora Update System 2012-05-27 21:21:43 EDT
hydra-7.3-9.fc17 has been pushed to the Fedora 17 stable repository.
Comment 40 Fedora Update System 2012-05-28 16:57:12 EDT
hydra-7.3-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hydra-7.3-10.fc16
Comment 41 Fedora Update System 2012-06-06 22:55:08 EDT
hydra-7.3-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Athmane Madjoudj 2013-09-17 18:39:19 EDT
Package Change Request
======================
Package Name: hydra
New Branches: el6
Owners: athmane
Comment 43 Jon Ciesla 2013-09-18 08:18:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.